Subject: RE: netatalk will not accept password with 1.4b2+asun2.1.4

From: "Luke McNeilage" <[email-masked]>
Date: Thu, 01 Jun 2000 12:32:07 +1000

I have installed the build, but with the crypt & DES uncommented:
This initially did not allow me to login as a user.

However, I was able to login after providing a cleartext password in
database. This annoying preoccupation with security does make using Netatalk
in a production environment a real pain.

Since installing the new service, I have lost my guest only services. A real
share volume needs to be just that.

There is a new config; netatalk.conf, but /etc/rc.d/init.d/atalk (or
whatever), does not look at it unless you edit it.

Why can't you somebody work at combining the afpd.conf, netatalk.conf &
config into the one file. If you are using the netatalk.conf or config to
pull the hostname, you still have to match it in the afpd.conf to get the
system to work. If you don't, your network browser hangs.
============================================================================
Luke McNeilage
Technical Director
D2P (Australasia) Pty Ltd
Email: [email-masked]
Web: www.d2p.com.au

Australia's leading file delivery system for publishing & graphic arts.

Tel: +61 (0)3 9429 3233
Fax: +61 (0)3 9427 0929
Mobile: 0419 512 868

Suite 3/243 Bridge Road
Richmond VIC 3121
Australia

----------
>From: "S.Ecker" <[email-masked]>
>To: [email-masked]
>Subject: netatalk will not accept password with 1.4b2+asun2.1.4
>Date: Wed, 31 May 2000 6:03 AM
>

> Hi,
>
> I installed pre-asun2.1.4-39_test.tar.gz, everything
> compiled nicely.  I'm using redhat6.2 with pam and
> shadowpasswords enabled.  My Mac clients try to log on
> using cleartext passwords and get the error: "Sorry
> the password you entered is incorrect. Please re-enter
> it."  All that I can figure went wrong is I may have
> overlooked configuring pam support when compiling.
> The documentation said it would see if pam was
> installed and compile it automatically if it was.  I
> put .passwd in each users directory and chmod 770 it.
> I used 2.1.4-39_test on the recommendation that it was
> actually a fully working version with lots of the bugs
> worked out from earlier versions.  Does anyone else
> wish that netatalk was as easy to setup as samba?
>
> -Scott
> --------------------
> My afpd.conf
> "server" -tcp -ddp -port 548 -address 192.168.254.2
>  -cleartxt-noguest -uampath /usr/local/atalk/etc/uams
>  -uamlist uams_clrtxt.so, uams_pam.so
>
> --------------------
> My atalkd.conf
> eth0 -phase 2 -net 0-65534 -addr 65280.53
>
> --------------------
> My netatalk.conf
> AFPD_MAX_CLIENTS=20
> ATALK_NAME=server
> AFPD_GUEST=nobody
> ATALKD_RUN=yes
> PAPD_RUN=yes
> AFPD_RUN=yes
> ATALK_BGROUND=yes
>
> --------------------
> /var/log/messages says when starting up and attemping
> to logon:
> May 30 12:43:17 server atalkd[927]: restart
> (1.4b2+asun2.1.4)
> May 30 12:43:18  atalkd[927]: zip_getnetinfo for eth0
> May 30 12:43:37 server last message repeated 2 times
> May 30 12:43:47 server atalkd[927]: config for no
> router
> May 30 12:43:48 server atalkd[927]: ready 0/0/0
> May 30 12:43:48 server atalk: atalkd startup succeeded
> May 30 12:44:01 server papd[940]: restart
> (1.4b2+asun2.1.4)
> May 30 12:44:01 server papd[940]: No such printer: lp
> May 30 12:44:01 server papd[940]: printcap problem: lp
> May 30 12:44:01 serfer atalk: papd startup succeeded
> May 30 12:44:01 server atalk: afpd startup succeeded
> May 30 12:44:07 server papd[940]: register
> server:LaserWriter@*
> May 30 12:44:07 server afpd[949]: server:AFPServer@*
> started on 65280.53:1
> 30 (1.4b2+asun2.1.4)
> May 30 12:44:07 server afpd[949]: ASIP started on
> 192.168.254.2:548(2) (1.4b2
> +asun2.1.4)
> May 30 12:44:07 server afpd[949]: uam: uams_clrtxt.so
> loaded
> May 30 12:44:07 server afpd[949]: uam: "Cleartxt
> Passwrd" available
> May 30 12:49:30 server afpd[968]: ASIP session:548(2)
> from 192.168.254.17:208
> 6(0)
> May 30 12:49:30 server afpd[949]: server_child[1] 968
> done
> May 30 12:49:41 server afpd[969]: ASIP session:548(2)
> from 192.168.254.17:208
> 7(0)
> May 30 12:49:41 server afpd[969]: cleartext login:
> user1
> May 30 12:49:41 server afpd[969]: 0.08KB read, 0.07KB
> written
> May 30 12:49:41 server afpd[949]: server_child[1] 969
> done
> May 30 12:50:03 server afpd[972]: ASIP session:548(2)
> from 192.168.254.55:491
> 52(0)
> May 30 12:50:03 server afpd[949]: server_child[1] 972
> done
> May 30 12:50:14 server afpd[973]: ASIP session:548(2)
> from 192.168.254.55:491
> 53(0)
> May 30 12:50:14 server afpd[973]: cleartext login:
> user1
> May 30 12:50:14 server afpd[973]: 0.08KB read, 0.07KB
> written
> May 30 12:50:14 server afpd[949]: server_child[1] 973
> done
>
>
>
> __________________________________________________
> Do You Yahoo!?
> Kick off your party with Yahoo! Invites.
> http://invites.yahoo.com/
>